Bug 848244 - [6d19136de7af9135dd23662f18c3ee544a2888da]: df does not show quota limit for clients which are mounted before enabling quota
[6d19136de7af9135dd23662f18c3ee544a2888da]: df does not show quota limit for ...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: vpshastry
Sudhir D
:
Depends On: 795735
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 21:36 EDT by Vidya Sakar
Modified: 2014-08-11 19:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 795735
Environment:
Last Closed: 2013-02-04 06:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-14 21:36:42 EDT
+++ This bug was initially created as a clone of Bug #795735 +++

Description of problem:
root@Dagobah:/data/mounts/mount# df -h
...
dagobah:vol            84G  807M   83G   1% /data/mounts/mount
dagobah:vol           5.0G     0  5.0G   0% /data/mounts/nfs
dagobah:vol           5.0G   30M  5.0G   1% /data/mounts/fuse
root@Dagobah:/data/mounts/mount# gluster volume info
 
Volume Name: vol
Type: Distributed-Replicate
Volume ID: ae583de9-8fef-4c6e-b66f-450dfb587f39
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: dagobah:/data/export1
Brick2: dagobah:/data/export2
Brick3: dagobah:/data/export3
Brick4: dagobah:/data/export4
Options Reconfigured:
performance.stat-prefetch: off
features.limit-usage: /:5GB
features.quota: on

/data/mounts/mount was mounted before quota limit was set, & after setting the limit , df does not show updated limit.
Comment 2 Amar Tumballi 2013-02-04 06:26:03 EST
df (ie, statvfs()) call is for the mounted filesystem, while quota is for a volume, which would have directory quota enabled, thus, its not fair to make df behave differently depending on the quota value.

df should always not bother about quota, and quota limits should be fetched by different quota command (in our case 'gluster quota limit-usage ').

Note You need to log in before you can comment on or make changes to this bug.